.TH OIDC-REGISTER "1" "February 2021" "oidc-register 1.4.0" "User Commands"

.SH NAME
oidc-register \- Help register an OpenID Client

This program is part of \fBpython3-flask-oidc\fR.

.SH DESCRIPTION
usage: oidc\-register [\-h] [\-\-token\-introspection\-uri TOKEN_INTROSPECTION_URI] [\-\-output\-file OUTPUT_FILE] [\-\-debug] provider_url application_url

.SS "positional arguments:"

.TP
provider_url
Base URL to the provider to register at.

.TP
application_url
Base URL to the application.

.SS "optional arguments:"

.TP
\fB\-h\fR, \fB\-\-help\fR
Show the help message and exit.

.TP
\fB\-\-token\-introspection\-uri\fR TOKEN_INTROSPECTION_URI
Token introspection URI.

.TP
\fB\-\-output\-file\fR OUTPUT_FILE
File to write client info to.

.HP
\fB\-\-debug\fR

.SH REPORTING BUGS
Please report bugs using the Debian BTS <https://bugs.debian.org>.

.SH AUTHOR
.PP
This manual page was written by Sergio Durigan Junior
<sergiodj@debian.org> for the Debian GNU/Linux system, but may be used
by others.
